Укажите отработанное время

Отработанное время:
Продуктивное время:
Bug 299 - Медленно отображается карта в TopPlan   Make a simular bug
Summary: Медленно отображается карта в TopPlan
Status: CLOSED FIXED
Alias: None
Product: WINE@Etersoft
Classification: Продукты (Products)
Component: GDI / DIB / GDIPLUS ; графика (show other bugs)
Version: unspecified
Hardware: PC Linux
: P2 normal
Target Milestone: ---
Assignee: BUGS@Etersoft
QA Contact: Vitaly Lipatov
URL: http://bugs.winehq.org/show_bug.cgi?i...
Whiteboard:
Keywords:
Depends on: 1840
Blocks: 3000
  Show dependency treegraph
 
In work:
Reported: 2006-10-09 19:55 MSD by Vitaly Lipatov
Modified: 2016-07-27 14:07 MSK (History)
1 user (show)

See Also:
Заявки RT:
Связано с:
Дата напоминания:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Lipatov 2006-10-09 19:55:38 MSD
шз-за использования DIB для растровых операций, рисование карты происходит 
долго. См. багу по ссылке. решение состоит в реализации растровых операций на 
стороне клиента. 
 
What's needed is a proper DIB engine - copying a bitmap to the X  
server, modifying it, and copying it back, is always going to be slow
Comment 1 Константин Петров 2006-10-11 14:32:16 MSD
http://bugs.winehq.org/show_bug.cgi?id=3902
Comment 2 Михаил Карпухин 2008-05-24 00:04:04 MSD
Дык по ссылке http://bugs.winehq.org/show_bug.cgi?id=3902 STATUS: CLOSED !!!
Comment 3 Vitaly Lipatov 2008-06-13 19:19:48 MSD
Ссылка была на конкретную проблему, похоже не связанную с данной, но вполне показательно отражающая уровень сложности задачи. Мы начали работать над внедрением полной реализации DIB.
Comment 4 Vitaly Lipatov 2012-01-18 03:11:26 MSK
Откладываем, bugs@ в ближайшее время делать ничего не будет.
Comment 5 Vitaly Lipatov 2016-07-27 14:07:12 MSK
Не важно.
Comment 6 Vitaly Lipatov 2016-07-27 14:07:31 MSK
Закрываю.